Bug 630228 - (ghc-io-storage) Review Request: ghc-io-storage - A key-value store in the IO monad
Review Request: ghc-io-storage - A key-value store in the IO monad
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks: hledger-web ghc-dyre
  Show dependency treegraph
 
Reported: 2010-09-04 02:23 EDT by Ben Boeckel
Modified: 2013-06-24 06:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 06:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 02:23:11 EDT
Spec URL: http://benboeckel.net/packaging/ghc-io-storage/ghc-io-storage.spec
SRPM URL: http://benboeckel.net/packaging/ghc-io-storage/ghc-io-storage-0.3-1.fc14.src.rpm
Description:
This library allows an application to extend the 'global
state' hidden inside the IO monad with semi-arbitrary data.
Data is required to be 'Typeable'. The library provides an
essentially unbounded number of key-value stores indexed by
strings, with each key within the stores also being a string.

% lintmock fedora-14-x86_64-bb
ghc-io-storage.src: W: strange-permission io-storage-0.3.tar.gz 0640L
ghc-io-storage.src: W: strange-permission ghc-io-storage.spec 0640L
ghc-io-storage-prof.x86_64: E: devel-dependency ghc-io-storage-devel
ghc-io-storage-prof.x86_64: W: no-documentation
ghc-io-storage-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/io-storage-0.3/libHSio-storage-0.3_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Ben Boeckel 2012-03-02 21:30:36 EST
Spec URL: http://benboeckel.net/packaging/ghc-io-storage/ghc-io-storage.spec
SRPM URL: http://benboeckel.net/packaging/ghc-io-storage/ghc-io-storage-0.3-2.fc18.src.rpm

ghc-io-storage.src: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
ghc-io-storage.src: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
ghc-io-storage.src: W: strange-permission io-storage-0.3.tar.gz 0640L
ghc-io-storage.src: W: strange-permission ghc-io-storage.spec 0640L
ghc-io-storage.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
ghc-io-storage.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
ghc-io-storage-devel.x86_64: W: spelling-error Summary(en_US) monad -> nomad, gonad, Mona
ghc-io-storage-devel.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
3 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 2 Michel Alexandre Salim 2012-06-08 22:06:27 EDT
Taking this review
Comment 3 Michel Alexandre Salim 2012-06-08 22:07:04 EDT
Is the 'notready' flag in the whiteboard still accurate? Presumably this is ready for review now
Comment 4 Ben Boeckel 2012-06-08 22:09:41 EDT
I forget what Jens uses as the prereq for setting the notready flag. I think it's related to deps that have cropped up since the review was filed. It may be a priority marker as well. I'll ask once he shows up on IRC.
Comment 5 Michel Alexandre Salim 2012-06-09 09:33:19 EDT
Presumably we should clear it when reviewing, and it's just to spare people from being nagged unnecessarily by people asking when the review will be done - so I'll just clear it.

Same as 630221 - the source MD5 checksum does not match upstream; please update and I'll then approve it.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/michel/sources/fedora/projects/FedoraReview/src/630228/io-storage-0.3.tar.gz :
  MD5SUM this package     : f0d3a8331ee996f46533ee764ace88ae
  MD5SUM upstream package : e036030c454cb57b3658615e36bfb32d

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/michel/sources/fedora/projects/FedoraReview/src/630228/io-storage-0.3.tar.gz :
  MD5SUM this package     : f0d3a8331ee996f46533ee764ace88ae
  MD5SUM upstream package : e036030c454cb57b3658615e36bfb32d

See: http://fedoraproject.org/wiki/Packaging/SourceURL


Generated by fedora-review 0.2.0git
External plugins:
Comment 6 Jens Petersen 2012-06-11 06:10:33 EDT
Yes, here NotReady usually means the submission had stagnated:
ie either needed a refresh to current cabal2spec templates or the version is no longer current say.
Sometimes also use it when submitters don't update their packages in response to issues, etc.
Comment 7 Ben Boeckel 2012-09-08 14:49:00 EDT
Sorry for delays. I've been Internet-less besides the phone and work (neither of which have my packaging work on them) for a while now and will be until I move (hopefully by the end of the month).
Comment 8 Jens Petersen 2013-03-13 05:43:45 EDT
Ben, did you sort out the md5sum - sounds a little worrying or your download got mangled?
Comment 9 Jens Petersen 2013-06-24 06:35:03 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.